XmLGridDeleteRows(3X)

NAME
XmLGridDeleteRows - delete rows in a Grid

SYNTAX
void XmLGridDeleteRows(widget, type, position, count)
Widget widget;
unsigned char type;
int position;
int count;

ARGUMENTS

widget
    Grid widget ID

type
    type of row

position
    position of first row

count
    number of rows to delete

DESCRIPTION
Deletes count rows of the given type in the Grid at the specified position. A position of 0 indicates the first row of the given type. The Grid will call its XmNdeleteCallback callbacks for each row and cell deleted. If possible, the focus will remain in the row which had focus prior to the deletion of rows. If the cell which has focus is in one of the rows deleted, the Grid's XmNcellFocusCallback callbacks will be called with a reason of XmCR_CELL_FOCUS_OUT before that row is deleted. If a cell in one of the rows is currently being edited, the Grid's XmNeditCallback callbacks will be called with a reason of XmCR_EDIT_CANCEL before that row is deleted.

SEE ALSO
XmLGrid(3X) XmLGridDeleteColumns(3X)